Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm
Class DTMConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.xml.dtm.DTMException
                              |
                              +--org.apache.xml.dtm.DTMConfigurationException

public class DTMConfigurationException
extends DTMException

Indicates a serious configuration error.

See Also:
  Serialized Form

Constructor Summary
`DTMConfigurationException()` Create a new `DTMConfigurationException` with no detail mesage.
`DTMConfigurationException(java.lang.String msg)` Create a new `DTMConfigurationException` with the `String` specified as an error message.
`DTMConfigurationException(java.lang.String message, SourceLocator locator)` Create a new DTMConfigurationException from a message and a Locator.
`DTMConfigurationException(java.lang.String message, SourceLocator locator, java.lang.Throwable e)` Wrap an existing exception in a DTMConfigurationException.
`DTMConfigurationException(java.lang.String msg, java.lang.Throwable e)` Create a new `DTMConfigurationException` with the given `Exception` base cause and detail message.
`DTMConfigurationException(java.lang.Throwable e)` Create a new `DTMConfigurationException` with a given `Exception` base cause of the error.

Methods inherited from class org.apache.xml.dtm.DTMException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DTMConfigurationException

    public DTMConfigurationException()

  Create a new `DTMConfigurationException` with no detail mesage.

### DTMConfigurationException

    public DTMConfigurationException(java.lang.String msg)

  Create a new `DTMConfigurationException` with the `String` specified as an error message.
  Parameters:
    `msg` - The error message for the exception.

### DTMConfigurationException

    public DTMConfigurationException(java.lang.Throwable e)

  Create a new `DTMConfigurationException` with a given `Exception` base cause of the error.
  Parameters:
    `e` - The exception to be encapsulated in a DTMConfigurationException.

### DTMConfigurationException

    public DTMConfigurationException(java.lang.String msg,
                                     java.lang.Throwable e)

  Create a new `DTMConfigurationException` with the given `Exception` base cause and detail message.
  Parameters:
    `e` - The exception to be encapsulated in a DTMConfigurationException
    `msg` - The detail message.
    `e` - The exception to be wrapped in a DTMConfigurationException

### DTMConfigurationException

    public DTMConfigurationException(java.lang.String message,
                                     SourceLocator locator)

  Create a new DTMConfigurationException from a message and a Locator.

  This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

  Parameters:
    `message` - The error or warning message.
    `locator` - The locator object for the error or warning.

### DTMConfigurationException

    public DTMConfigurationException(java.lang.String message,
                                     SourceLocator locator,
                                     java.lang.Throwable e)

  Wrap an existing exception in a DTMConfigurationException.
  Parameters:
    `message` - The error or warning message, or null to use the message from the embedded exception.
    `locator` - The locator object for the error or warning.
    `e` - Any exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.